<div [formGroup]="employeeSkillHours">
  <div class="form-group">
    <label for="employees" class="lbl">Employees</label>
    <angular2-multiselect
      placement="bottom"
      ngbTooltip="Can't select employees when skill hours are 0 or invalid"
      [disableTooltip]="disableTooltip"
      tooltipClass="tooltip-danger"
      [ngModel]="selectedItems"
      [data]="dropdownList"
      [settings]="dropdownSettings"
      (onOpen)="onOpen()"
      (onSelect)="onItemSelect($event)"
      (onDeSelect)="OnItemDeSelect($event)"
      (onDeSelectAll)="onDeselectAll()"
      formControlName="selectedEmployees"
      #a2multiselect
    >
      <c-search>
        <ng-template>
          <input
            type="text"
            (input)="onSearch($event)"
            placeholder="Search"
            style="border: none; width: 100%; height: 100%; outline: none;"
            #searchInput
          />
        </ng-template>
      </c-search>
    </angular2-multiselect>
  </div>

  <div *ngFor="let control of employeeHours.controls; let i = index">
    <div *ngIf="control.value.skillId === this.projectSkill.value.id">
      <app-edit-employee-hours
        [currentSkillEmployeeIds]="currentSkillEmployeeIds"
        [projectSkill]="projectSkill"
        [projectId]="projectId"
        [allEmployees$]="allEmployees$"
        [index]="i"
        [employee]="control"
        (deselect)="deselectEmployee($event)"
      ></app-edit-employee-hours>
    </div>
  </div>
</div>
